<template>
  <div
    data-backdrop="static"
    data-keyboard="false"
    class="modal s--modal-right s--modal s--modal-customer-contact-add-modal animated fadeInRight"
    v-if="contact"
    :id="'viewCustomerContact' + contact.id"
  >
    <div class="modal-dialog">
      <div class="modal-content">
        <div class="modal-header">
          <h3 class="modal-title">Xem liên hệ</h3>
          <button type="button" class="close" data-dismiss="modal" aria-label="Close">
            <span aria-hidden="true">
              <i class="la la-times"></i>
            </span>
          </button>
        </div>
        <div class="modal-body" data-scrollable="true" data-scrollbar-shown="true">
          <div class="form-group m-form__group m--margin-bottom-20">
            <label class="form-control-label s--label">
              Tên liên hệ
              <span class="m--font-bold" v-if="contact.is_main_contact">(Liên hệ chính)</span>
            </label>
            <div class>{{ contact.full_name }}</div>
          </div>

          <div class="form-group m-form__group m--margin-bottom-20">
            <label class="form-control-label s--label">
              Số điện
              thoại
            </label>
            <div class>
              <span v-if="contact.phone_number">{{ contact.phone_number }}</span>
              <span v-if="!contact.phone_number" class="not-value">Chưa cập nhật</span>
            </div>
          </div>

          <div class="form-group m-form__group m--margin-bottom-20">
            <label class="form-control-label s--label">Email</label>
            <div>
              <span v-if="contact.email">{{ contact.email }}</span>
              <span v-if="!contact.email" class="not-value">Chưa cập nhật</span>
            </div>
          </div>

          <div class="form-group m-form__group m--margin-bottom-20">
            <label class="form-control-label s--label">Địa chỉ</label>
            <div>
              <span v-if="contact.address">{{ contact.address }}</span>
              <span v-if="!contact.address" class="not-value">Chưa cập nhật</span>
            </div>
          </div>

          <div class="form-group m-form__group m--margin-bottom-20">
            <label class="form-control-label s--label">Ghi chú</label>
            <div>
              <span v-if="contact.note">{{ contact.note }}</span>
              <span v-if="!contact.note" class="not-value">Chưa cập nhật</span>
            </div>
          </div>
        </div>
        <div class="modal-footer">
          <button
            data-dismiss="modal"
            data-toggle="modal"
            :data-target="'#updateCustomerContact'+contact.id"
            type="submit"
            class="btn btn-outline-primary m-btn m-btn--custom"
            @click.prevent="customerContactViewUpdate()"
          >Chỉnh sửa</button>
        </div>
      </div>
    </div>
  </div>
</template>

<script>
export default {
  name: "CustomerContactView",
}
</script>
